SumatraPDF Shading Pattern Processing Buffer Overflow Exploit

The vulnerabilities are caused due to boundary errors within the "pdf_loadtype4shade()", "pdf_loadtype5shade()", "pdf_loadtype6shade()", and "pdf_loadtype7shade()" functions. This can be exploited to cause stack-based buffer overflows.
Exploit type: 
Platform: 
Vulnerabilty ID: 
CVE-2009-1605
Product Version: 
9.0
Released Date: 
Monday, December 7, 2009 - 00:00